## org.eclipse.emf.cdo.server
Class CDOServerUtil

    java.lang.Object
      org.eclipse.emf.cdo.server.CDOServerUtil

    public final class CDOServerUtil

extends java.lang.Object

Nested Class Summary
`static class` `CDOServerUtil.RepositoryReadAccessValidator`

Method Summary
`static void` `addRepository(org.eclipse.net4j.util.container.IManagedContainer container, IRepository repository)`
`static IRepository` `createRepository(java.lang.String name, IStore store, java.util.Map<java.lang.String,java.lang.String> props)`
`static IRepository` `getRepository(org.eclipse.net4j.util.container.IManagedContainer container, java.lang.String name)`
`static org.w3c.dom.Element` `getRepositoryConfig(java.lang.String repositoryName)`
`static void` `prepareContainer(org.eclipse.net4j.util.container.IManagedContainer container)`
`static void` `prepareContainer(org.eclipse.net4j.util.container.IManagedContainer container, IRepositoryProvider repositoryProvider)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createRepository

    public static IRepository createRepository(java.lang.String name,
                                               IStore store,
                                               java.util.Map<java.lang.String,java.lang.String> props)

### prepareContainer

    public static void prepareContainer(org.eclipse.net4j.util.container.IManagedContainer container,
                                        IRepositoryProvider repositoryProvider)

### prepareContainer

    public static void prepareContainer(org.eclipse.net4j.util.container.IManagedContainer container)

### addRepository

    public static void addRepository(org.eclipse.net4j.util.container.IManagedContainer container,
                                     IRepository repository)

### getRepository

    public static IRepository getRepository(org.eclipse.net4j.util.container.IManagedContainer container,
                                            java.lang.String name)

### getRepositoryConfig

    public static org.w3c.dom.Element getRepositoryConfig(java.lang.String repositoryName)
                                                   throws javax.xml.parsers.ParserConfigurationException,
                                                          org.xml.sax.SAXException,
                                                          java.io.IOException

  Throws:
    `javax.xml.parsers.ParserConfigurationException`
    `org.xml.sax.SAXException`
    `java.io.IOException`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.